#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	liveok
Version		:	0.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Osukiss live iso mode
Group		:	System Environment/Libraries

Packager	:	Jean-Marc Pigeon	<jmp@safe.ca>

License		:	GPLv2+
URL		:	http://www.osukiss.org

Source0		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch
#-----------------------------------------------------------------------------
Requires(pre)	:	sddm
Requires(pre)	:	sed
Requires	:	calamares
Requires	:	release-base
Requires	:	release-server
Requires	:	release-xorg
Requires	:	release-lxqt
#-----------------------------------------------------------------------------
%description
Pseudo Package to generate a functionnal Osukiss liveiso

#-----------------------------------------------------------------------------
%prep

#-----------------------------------------------------------------------------
#building application
%build

#-----------------------------------------------------------------------------
#installing program
%install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
#-----------------------------------------------------------------------------
%pre
if [ "$1" = 1 ]; then
  (
  echo "#-------------------------------------"
  echo "#Added by %{name} installation process"
  echo "[Autologin]"
  echo "User=root"
  echo "Session=lxqt.desktop"
  echo "#-------------------------------------"
  ) >> /etc/sddm.conf
  sed -i					\
    -e "s/MinimumUid=300/MinimumUid=0/"		\
    /etc/sddm.conf
  fi

#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%changelog
